The WEBSERVICE function returns string data from a web service on the Internet or Intranet that supports CORS (Cross-origin resource sharing).
The FILTERJSON function parses a valid json string into a value, an object or an array of objects. This result also supports vertical spill.
WEBSERVICE
If the request doesn't follow the Same origin policy and the target website doesn't support CORS(Cross-Origin Resource Sharing) from source origin, will return #VALUE! error. The function result is a string.
FILTERJSON
FILTERJSON function can parse a JSON string into a scalar value, an object or an array of objects(can spill vertically).
You can both use FILTERJSON function and WEBSERVICE function to get the json object from server and use in SpreadJS.
window.onload = function() {
var spread = new GC.Spread.Sheets.Workbook(_getElementById("ss"));
spread.options.allowDynamicArray = true;
initSpread(spread);
};
function initSpread(spread) {
spread.setSheetCount(1);
spread.suspendPaint();
spread.suspendCalcService();
initSheet1(spread.getSheet(0));
spread.resumeCalcService();
spread.resumePaint();
}
function initSheet1(sheet) {
sheet.suspendPaint();
sheet.setRowCount(300);
sheet.name('WebService');
sheet.setColumnWidth(0,27);
sheet.setColumnWidth(1,300);
sheet.setColumnWidth(2,168);
sheet.setColumnWidth(3,168);
sheet.setValue(0, 1, 'Enter full or partial country name');
var inputStyle = new GC.Spread.Sheets.Style();
inputStyle.backColor = "#FEF3CD";
sheet.setStyle(1,1,inputStyle);
sheet.setValue(3,1,"Name");
sheet.setValue(3,2,"Population");
sheet.setValue(3,3,"Area");
sheet.setValue(1,1,"united");
var headerStyle = new GC.Spread.Sheets.Style();
headerStyle.backColor = "rgb(222,235,246)";
headerStyle.font = "bold 11pt Calibri";
headerStyle.hAlign = 1;
var borderBottom = new GC.Spread.Sheets.LineBorder;
borderBottom.color = "black";
borderBottom.style = GC.Spread.Sheets.LineStyle.thin;
headerStyle.borderBottom = borderBottom;
sheet.setStyle(3,1,headerStyle);
sheet.setStyle(3,2,headerStyle);
sheet.setStyle(3,3,headerStyle);
for (var r = 4; r < 300; r++) {
//show the spilled objects as strings by using formatter property
sheet.setFormatter(r,1,'=iferror(property(@,"name"), "")');
sheet.setFormatter(r,2,'#,##0');
sheet.setFormatter(r,3,'#,##0');
}
sheet.setFormula(4,1,'=LET(c,FILTERJSON(IF(LEN(B2)>3,WEBSERVICE("$DEMOROOT$/en/sample/features/calculation/webservice-function/countries.json"))),FILTER(c,ISNUMBER(SEARCH(B2,PROPERTY(c,"name"))),""))');
sheet.setFormula(4,2,'=IFERROR(PROPERTY(B5#,"population"),"")');
sheet.setFormula(4,3,'=IFERROR(PROPERTY(B5#,"area"),"")');
sheet.resumePaint();
}
function _getElementById(id) {
return document.getElementById(id);
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
</div>
</body>
</html>
input[type="text"] {
width: 200px;
margin-right: 20px;
}
label {
display: inline-block;
width: 110px;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
width:216px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
code {
border: 1px solid #000;
}

The WEBSERVICE function returns string data from a web service on the Internet or Intranet that supports CORS (Cross-origin resource sharing).
The FILTERJSON function parses a valid json string into a value, an object or an array of objects. This result also supports vertical spill.
WEBSERVICE
If the request doesn't follow the Same origin policy and the target website doesn't support CORS(Cross-Origin Resource Sharing) from source origin, will return #VALUE! error. The function result is a string.
FILTERJSON
FILTERJSON function can parse a JSON string into a scalar value, an object or an array of objects(can spill vertically).
You can both use FILTERJSON function and WEBSERVICE function to get the json object from server and use in SpreadJS.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
const spreadNS = GC.Spread.Sheets, SheetArea = spreadNS.SheetArea;
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {}
initSpread($event: any) {
let spread = this.spread = $event.spread;
spread.options.allowDynamicArray = true;
spread.setSheetCount(1);
spread.suspendPaint();
spread.suspendCalcService();
this.initSheet1(spread.getSheet(0));
spread.resumeCalcService();
spread.resumePaint();
}
initSheet1(sheet: any) {
sheet.suspendPaint();
sheet.name('WebService');
sheet.setColumnWidth(0,27);
sheet.setColumnWidth(1,300);
sheet.setColumnWidth(2,168);
sheet.setColumnWidth(3,168);
sheet.setValue(0, 1, 'Enter full or partial country name');
var inputStyle = new GC.Spread.Sheets.Style();
inputStyle.backColor = "#FEF3CD";
sheet.setStyle(1,1,inputStyle);
sheet.setValue(3,1,"Name");
sheet.setValue(3,2,"Population");
sheet.setValue(3,3,"Area");
sheet.setValue(1,1,"united");
var headerStyle = new GC.Spread.Sheets.Style();
headerStyle.backColor = "rgb(222,235,246)";
headerStyle.font = "bold 11pt Calibri";
headerStyle.hAlign = 1;
var borderBottom = new GC.Spread.Sheets.LineBorder;
borderBottom.color = "black";
borderBottom.style = GC.Spread.Sheets.LineStyle.thin;
headerStyle.borderBottom = borderBottom;
sheet.setStyle(3,1,headerStyle);
sheet.setStyle(3,2,headerStyle);
sheet.setStyle(3,3,headerStyle);
for (var r = 4; r < 50; r++) {
//show the spilled objects as strings by using formatter property
sheet.setFormatter(r,1,'=iferror(property(@,"name"), "")');
sheet.setFormatter(r,2,'#,##0');
sheet.setFormatter(r,3,'#,##0');
}
sheet.setFormula(4,1,'=FILTERJSON(IF(LEN(B2)>3,WEBSERVICE("https://restcountries.com/v2/name/"&B2)))');
sheet.setFormula(4,2,'=IFERROR(PROPERTY(B5#,"population"),"")');
sheet.setFormula(4,3,'=IFERROR(PROPERTY(B5#,"area"),"")');
sheet.resumePaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule, FormsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
input {
padding: 4px 6px;
display: inline-block;
}
input[type="text"] {
width: 200px;
}
label {
display: block;
margin-bottom: 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
width:216px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

The WEBSERVICE function returns string data from a web service on the Internet or Intranet that supports CORS (Cross-origin resource sharing).
The FILTERJSON function parses a valid json string into a value, an object or an array of objects. This result also supports vertical spill.
WEBSERVICE
If the request doesn't follow the Same origin policy and the target website doesn't support CORS(Cross-Origin Resource Sharing) from source origin, will return #VALUE! error. The function result is a string.
FILTERJSON
FILTERJSON function can parse a JSON string into a scalar value, an object or an array of objects(can spill vertically).
You can both use FILTERJSON function and WEBSERVICE function to get the json object from server and use in SpreadJS.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue';
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
const spreadRef = ref(null);
let initSpread = function (spread) {
spreadRef.value = spread;
spread.options.allowDynamicArray = true;
spread.setSheetCount(1);
spread.suspendPaint();
spread.suspendCalcService();
initSheet1(spread.getSheet(0));
spread.resumeCalcService();
spread.resumePaint();
}
let initSheet1 = function (sheet) {
sheet.suspendPaint();
sheet.name('WebService');
sheet.setColumnWidth(0,27);
sheet.setColumnWidth(1,300);
sheet.setColumnWidth(2,168);
sheet.setColumnWidth(3,168);
sheet.setValue(0, 1, 'Enter full or partial country name');
let inputStyle = new GC.Spread.Sheets.Style();
inputStyle.backColor = "#FEF3CD";
sheet.setStyle(1,1,inputStyle);
sheet.setValue(3,1,"Name");
sheet.setValue(3,2,"Population");
sheet.setValue(3,3,"Area");
sheet.setValue(1,1,"united");
let headerStyle = new GC.Spread.Sheets.Style();
headerStyle.backColor = "rgb(222,235,246)";
headerStyle.font = "bold 11pt Calibri";
headerStyle.hAlign = 1;
let borderBottom = new GC.Spread.Sheets.LineBorder;
borderBottom.color = "black";
borderBottom.style = GC.Spread.Sheets.LineStyle.thin;
headerStyle.borderBottom = borderBottom;
sheet.setStyle(3,1,headerStyle);
sheet.setStyle(3,2,headerStyle);
sheet.setStyle(3,3,headerStyle);
for (let r = 4; r < 50; r++) {
//show the spilled objects as strings by using formatter property
sheet.setFormatter(r,1,'=iferror(property(@,"name"), "")');
sheet.setFormatter(r,2,'#,##0');
sheet.setFormatter(r,3,'#,##0');
}
sheet.setFormula(4,1,'=FILTERJSON(IF(LEN(B2)>3,WEBSERVICE("https://restcountries.com/v2/name/"&B2)))');
sheet.setFormula(4,2,'=IFERROR(PROPERTY(B5#,"population"),"")');
sheet.setFormula(4,3,'=IFERROR(PROPERTY(B5#,"area"),"")');
sheet.resumePaint();
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
#switchAutoMergeMode {
margin: 10px 0px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-en': 'npm:@mescius/spread-sheets-resources-en/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

The WEBSERVICE function returns string data from a web service on the Internet or Intranet that supports CORS (Cross-origin resource sharing).
The FILTERJSON function parses a valid json string into a value, an object or an array of objects. This result also supports vertical spill.
WEBSERVICE
If the request doesn't follow the Same origin policy and the target website doesn't support CORS(Cross-Origin Resource Sharing) from source origin, will return #VALUE! error. The function result is a string.
FILTERJSON
FILTERJSON function can parse a JSON string into a scalar value, an object or an array of objects(can spill vertically).
You can both use FILTERJSON function and WEBSERVICE function to get the json object from server and use in SpreadJS.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import GC from '@mescius/spread-sheets';
import './styles.css';
export function AppFunc() {
const initSpread = (spread) => {
spread.options.allowDynamicArray = true;
spread.setSheetCount(1);
spread.suspendPaint();
spread.suspendCalcService();
initSheet1(spread.getSheet(0));
spread.resumeCalcService();
spread.resumePaint();
}
const initSheet1 = (sheet) => {
sheet.suspendPaint();
sheet.name('WebService');
sheet.setColumnWidth(0, 27);
sheet.setColumnWidth(1, 300);
sheet.setColumnWidth(2, 168);
sheet.setColumnWidth(3, 168);
sheet.setValue(0, 1, 'Enter full or partial country name');
var inputStyle = new GC.Spread.Sheets.Style();
inputStyle.backColor = "#FEF3CD";
sheet.setStyle(1, 1, inputStyle);
sheet.setValue(3, 1, "Name");
sheet.setValue(3, 2, "Population");
sheet.setValue(3, 3, "Area");
sheet.setValue(1, 1, "united");
var headerStyle = new GC.Spread.Sheets.Style();
headerStyle.backColor = "rgb(222,235,246)";
headerStyle.font = "bold 11pt Calibri";
headerStyle.hAlign = 1;
var borderBottom = new GC.Spread.Sheets.LineBorder;
borderBottom.color = "black";
borderBottom.style = GC.Spread.Sheets.LineStyle.thin;
headerStyle.borderBottom = borderBottom;
sheet.setStyle(3, 1, headerStyle);
sheet.setStyle(3, 2, headerStyle);
sheet.setStyle(3, 3, headerStyle);
for (var r = 4; r < 50; r++) {
//show the spilled objects as strings by using formatter property
sheet.setFormatter(r, 1, '=iferror(property(@,"name"), "")');
sheet.setFormatter(r, 2, '#,##0');
sheet.setFormatter(r, 3, '#,##0');
}
sheet.setFormula(4, 1, '=FILTERJSON(IF(LEN(B2)>3,WEBSERVICE("https://restcountries.com/v2/name/"&B2)))');
sheet.setFormula(4, 2, '=IFERROR(PROPERTY(B5#,"population"),"")');
sheet.setFormula(4, 3, '=IFERROR(PROPERTY(B5#,"area"),"")');
sheet.resumePaint();
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>
);
}
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import GC from '@mescius/spread-sheets';
import './styles.css';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>
);
}
initSpread(spread) {
spread.options.allowDynamicArray = true;
spread.setSheetCount(1);
spread.suspendPaint();
spread.suspendCalcService();
this.initSheet1(spread.getSheet(0));
spread.resumeCalcService();
spread.resumePaint();
}
initSheet1(sheet) {
sheet.suspendPaint();
sheet.name('WebService');
sheet.setColumnWidth(0, 27);
sheet.setColumnWidth(1, 300);
sheet.setColumnWidth(2, 168);
sheet.setColumnWidth(3, 168);
sheet.setValue(0, 1, 'Enter full or partial country name');
var inputStyle = new GC.Spread.Sheets.Style();
inputStyle.backColor = "#FEF3CD";
sheet.setStyle(1, 1, inputStyle);
sheet.setValue(3, 1, "Name");
sheet.setValue(3, 2, "Population");
sheet.setValue(3, 3, "Area");
sheet.setValue(1, 1, "united");
var headerStyle = new GC.Spread.Sheets.Style();
headerStyle.backColor = "rgb(222,235,246)";
headerStyle.font = "bold 11pt Calibri";
headerStyle.hAlign = 1;
var borderBottom = new GC.Spread.Sheets.LineBorder;
borderBottom.color = "black";
borderBottom.style = GC.Spread.Sheets.LineStyle.thin;
headerStyle.borderBottom = borderBottom;
sheet.setStyle(3, 1, headerStyle);
sheet.setStyle(3, 2, headerStyle);
sheet.setStyle(3, 3, headerStyle);
for (var r = 4; r < 50; r++) {
//show the spilled objects as strings by using formatter property
sheet.setFormatter(r, 1, '=iferror(property(@,"name"), "")');
sheet.setFormatter(r, 2, '#,##0');
sheet.setFormatter(r, 3, '#,##0');
}
sheet.setFormula(4, 1, '=FILTERJSON(IF(LEN(B2)>3,WEBSERVICE("https://restcountries.com/v2/name/"&B2)))');
sheet.setFormula(4, 2, '=IFERROR(PROPERTY(B5#,"population"),"")');
sheet.setFormula(4, 3, '=IFERROR(PROPERTY(B5#,"area"),"")');
sheet.resumePaint();
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/data.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
input {
padding: 4px 6px;
}
.options-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
width:216px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);